Subject: Re: Sender Template Doubt

From: "manoj juneja" <[email-masked]>
Date: Wed, 17 Jul 2002 15:00:14 -0700

Jay,
        On a node the PSB is identified by the session object and its
corresponding sender_template object. Let us take the case where two
RSVP-TE tunnels are established between two nodes A and B. The
destination address for both the RSVP sessions is same. Furthermore, if
the ingress node sends it's router Id in sender template then how a
transit node distinguishes between these two PSBs ? Is the distinction
between these two PSBs is done on the basis of LSP Id and Tunnel Id as
the other fields of SESSION and SENDER_TEMPLATE objects will be same.

Regards,
manoj.

>From: Jay Karthik <[email-masked]>
>To: "manoj juneja" <[email-masked]>, [email-masked]
>CC: [email-masked]
>Subject: Re: Sender Template Doubt
>Date: Wed, 17 Jul 2002 17:32:20 -0400
>
>At 01:01 PM 7/17/02 -0700, manoj juneja wrote:
>>Hi All,
>>          I have a doubt regarding sender template object in RSVP-TE. Can 
>>I fill the sender address in sender template object same as PHOP address 
>>(in RSVP_HOP object) at the ingress node in the outgoing path message ?
>>
>>As per my understanding, the PHOP object will change at every hop in the 
>>path message but the sender template remanins the same.
>>
>>At the ingress node, should the sender address in sender template object 
>>be filled with the IP address of the outgoing interface over which the 
>>path message is to be sent out ?
>
>It is not mandatory to send the IP address of the outgoing i/f.  Usually it 
>is the router-id of the Ingress. (However for a backup tunnel <if any> you 
>could pick any address besides the router-id, as the sender address in the 
>SENDER_TEMPLATE).
>
>Jay
>
>
>
>>Regards,
>>manoj.
>>
>>_________________________________________________________________
>>Send and receive Hotmail on your mobile device: http://mobile.msn.com
>>

_________________________________________________________________
MSN Photos is the easiest way to share and print your photos: 
http://photos.msn.com/support/worldwide.aspx

---

From: Jay Karthik <[email-masked]>
Date: Wed, 17 Jul 2002 18:19:46 -0400

>the other fields of SESSION and SENDER_TEMPLATE objects will be same.

Yes.  LSP tunnels are identified by a combination of the SESSION 
and  SENDER_TEMPLATE objects.

Regards,
Jay

>>>          I have a doubt regarding sender template object in RSVP-TE. 
>>> Can I fill the sender address in sender template object same as PHOP 
>>> address (in RSVP_HOP object) at the ingress node in the outgoing path message ?
>>>
>>It is not mandatory to send the IP address of the outgoing i/f.  Usually 
>>it is the router-id of the Ingress. (However for a backup tunnel <if any> 
>>you could pick any address besides the router-id, as the sender address 
>>in the SENDER_TEMPLATE).
>>
>>Jay
>>
>>
>>
>>>Regards,
>>>manoj.
>>>

---

From: David Charlap <[email-masked]>
Date: Wed, 17 Jul 2002 18:25:28 -0400

manoj juneja wrote:
> corresponding sender_template object.

Correct.  Don't forget, however, that the session object has three 
values - destination address, tunnel ID and extended tunnel ID, and the 
sender template has two values - sender address and LSP ID.

> Let us take the case where two
> destination address for both the RSVP sessions is same.

If the two LSPs are going to be in different sessions, then they will 
have different tunnel IDs.

If they are in the same session, then they will have to have different 
LSP IDs.

> Furthermore, if
> transit node distinguishes between these two PSBs?

See above.  They will have different tunnel IDs, if they are in 
different sessions, or different LSP IDs if they are in the same session.

> Is the distinction

Yes.

-- David